Closing soon
curl --request GET \
--url https://api.routeur.app/v1/insights/closing \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/insights/closing"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/insights/closing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/insights/closing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"venue": "kalshi",
"id": "<string>",
"title": "<string>",
"category": "Sports",
"venues": [
"kalshi"
],
"markets": 123,
"mutually_exclusive": true,
"volume_24h_usd": "0.4100",
"outcomes": [
{
"label": "<string>",
"venue": "kalshi",
"market_id": "<string>",
"title": "<string>",
"prices": [
{
"venue": "kalshi",
"market_id": "<string>",
"yes_ask_usd": "0.4100",
"no_ask_usd": "0.4100",
"observed_at": "2023-11-07T05:31:56Z"
}
],
"volume_24h_usd": "0.4100",
"chance": "0.4100",
"best_venue": "kalshi",
"change_24h": "0.4100",
"sparkline": [
"0.4100"
]
}
],
"image_url": "<string>",
"twin": {
"venue": "kalshi",
"id": "<string>"
},
"starts_at": "2023-11-07T05:31:56Z",
"closes_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"topics": [
"<string>"
]
}
],
"graph_run": 2
}{
"error": {
"code": "invalid_parameter",
"message": "Invalid or unsupported query parameter: limit."
}
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Signals
Closing soon
Events closing within the next days with at least $500 traded today, grouped by day and most traded first.
GET
/
v1
/
insights
/
closing
Closing soon
curl --request GET \
--url https://api.routeur.app/v1/insights/closing \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/insights/closing"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/insights/closing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/insights/closing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"venue": "kalshi",
"id": "<string>",
"title": "<string>",
"category": "Sports",
"venues": [
"kalshi"
],
"markets": 123,
"mutually_exclusive": true,
"volume_24h_usd": "0.4100",
"outcomes": [
{
"label": "<string>",
"venue": "kalshi",
"market_id": "<string>",
"title": "<string>",
"prices": [
{
"venue": "kalshi",
"market_id": "<string>",
"yes_ask_usd": "0.4100",
"no_ask_usd": "0.4100",
"observed_at": "2023-11-07T05:31:56Z"
}
],
"volume_24h_usd": "0.4100",
"chance": "0.4100",
"best_venue": "kalshi",
"change_24h": "0.4100",
"sparkline": [
"0.4100"
]
}
],
"image_url": "<string>",
"twin": {
"venue": "kalshi",
"id": "<string>"
},
"starts_at": "2023-11-07T05:31:56Z",
"closes_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"topics": [
"<string>"
]
}
],
"graph_run": 2
}{
"error": {
"code": "invalid_parameter",
"message": "Invalid or unsupported query parameter: limit."
}
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
apiKeybearer
Query Parameters
How many days ahead to look.
Required range:
1 <= x <= 14Events to return.
Required range:
1 <= x <= 300